Construct a new Entry

- « UI\Controls\Entry

- UI\Controls\Entry::getText »

- PHP Manual
- UI\Controls\Entry
- Construct a new Entry

# UI\Controls\Entry::__construct

(UI 0.9.9)

UI\Controls\Entry::__construct — Construct a new Entry

### Description

public UI\Controls\Entry::__construct(int `$type` = UI\Controls\Entry::Normal)

Construct a new entry of the given type

### Parameters

`type`

  Entry::Normal, Entry::Password, or Entry::Search